Package Base Details: kodi-git

Git Clone URL: https://aur.archlinux.org/kodi-git.git (read-only)
Submitter: BlackIkeEagle
Maintainer: graysky
Last Packager: graysky
Votes: 82
Popularity: 0.026952
First Submitted: 2014-10-23 06:38
Last Updated: 2019-05-17 19:02

Latest Comments

« First ‹ Previous ... 2 3 4 5 6 7 8 9 10 11 12 ... Next › Last »

mrturcot commented on 2017-04-17 23:04

@slobeck I was able to build @BlackIkeEagle's "rapidjson-git" PKG and in turn "kodi-git".
"rapidjson-git" calls for "gtest" so I got it from Community "gtest" and from AUR "mingw-w64-gtest"
(not sure if I needed both PKG's). It still failed to build so I copied the contents of
"/usr/src/gtest/" to a newly created DIR "/usr/src/gtest/include/gtest/"
and "rapidjson-git" completed building.

I was able to build "kodi-git" without any issues after. Thanks!!

slobeck commented on 2017-04-12 21:51

@BlackIkeEagle your rapidjson-git fails to build

CMake Error at googletest/cmake_install.cmake:44 (file):
file INSTALL cannot find "/usr/src/gtest/include/gtest".
Call Stack (most recent call first):
test/cmake_install.cmake:37 (include)
cmake_install.cmake:106 (include)


make: *** [Makefile:76: install] Error 1
==> ERROR: A failure occurred in package().
Aborting...

BlackIkeEagle commented on 2017-04-12 07:39

@tixetsal You can get the proper pkgbuild for rapidjson-git here: https://github.com/herecura/rapidjson-git

I'm going to have to create a rapidjson package anyway so its available by the time kodi 18 has to go to community

tixetsal commented on 2017-04-11 15:11

@BlackIkeEagle I tried downloading rapidjson, but of course it gets replaced by rapidjson-git as the package managers run through dependencies.
I wanted to make sure that it wasn't something I was doing. I appreciate the work that you put into maintaining kodi-git.

BlackIkeEagle commented on 2017-04-11 05:00

@tixetsal I know, the maintainer of rapidjson-git must fix the package first.

see my comments there: https://aur.archlinux.org/packages/rapidjson-git/

tixetsal commented on 2017-04-10 16:07

I still can't build this package (with yaourt or pacaur), and I don't know what I'm doing wrong. I receive the following error:

xbmc/utils/StringUtils.h: needs update
CMake Error at /usr/share/cmake-3.7/Modules/FindPackageHandleStandardArgs.cmake:138 (message):
Could NOT find RapidJSON (missing: RapidJSON_VERSION)
Call Stack (most recent call first):
/usr/share/cmake-3.7/Modules/FindPackageHandleStandardArgs.cmake:378 (_FPHSA_FAILURE_MESSAGE)
cmake/modules/FindRapidJSON.cmake:27 (find_package_handle_standard_args)
cmake/scripts/common/Macros.cmake:315 (find_package)
CMakeLists.txt:168 (core_require_dep)

-- Configuring incomplete, errors occurred!
See also "/tmp/makepkg/kodi-git/src/xbmc/CMakeFiles/CMakeOutput.log".
See also "/tmp/makepkg/kodi-git/src/xbmc/CMakeFiles/CMakeError.log".
==> ERROR: A failure occurred in build().
Aborting...

BlackIkeEagle commented on 2017-04-09 12:54

@dbrobins thanks I'll update the patch

dbrobins commented on 2017-04-09 02:48

The 0001-fmt-does-not-have-sprintf.patch appears to be doing the wrong thing - instead of switching to fmt::format it should be adding a #include "fmt/printf.h". With the patch as it is, it doesn't convert printf-style strings, which for me meant (1) kodi.log was filled with formatting chars rather than timestamp etc., and (2) when it tried to do the database update, I got databases like 'MyVideos%d' and 'MyMusic%d'.

BlackIkeEagle commented on 2017-03-30 06:08

@tixetsal, Yes they are rapidly intorducing changes and I'm currently unable to fix them for now, wendsday I hope I can start looking into it.

If just want to test a version you could use the last built kodi-git from my repo https://repo.herecura.eu [herecura]

tixetsal commented on 2017-03-28 21:07

@BlackIkeEagle It looks like you updated the package since I first encountered the difficulty building, but I still get errors while compiling. Is it on me? Thanks.